Subject: header files state

From: Florian Lohoff <[email-masked]>
Date: Sun, 19 Mar 2000 21:45:10 +0100

Hi,
I am currently trying to waste some cpu cycles with blindly compiling
packages instead of leaving the machine idle.

Most of the packages (~1/3) fail because of the already discussed problems
with the headers.

gcc -c  -g -O2 -Wall  -MD  -DHAVE_SYS_SELECT_H -DFLICK_VERSION=\"2.1\" -I. -I../
../../../runtime/libraries/link/iiop -I- -I../../../../runtime/headers -I../../.
./../runtime/headers -I../../../../runtime/libraries/link -I../../../.. -I../../
../..  communication.c
communication.c: In function `flick_client_send_request':
communication.c:390: `SOCK_STREAM' undeclared (first use this function)
communication.c:390: (Each undeclared identifier is reported only once
communication.c:390: for each function it appears in.)

gcc -O2 -g -I. -DHAVE_CONFIG_H -DPREFIX=\"/usr\"  -c -o additional.o additional.
c
In file included from /usr/include/sys/resource.h:27,
                 from additional.c:14:
/usr/include/resourcebits.h:103: warning: `RLIM_INFINITY' redefined
/usr/include/asm/resource.h:32: warning: this is the location of the previous de
finition
In file included from /usr/include/sys/resource.h:27,
                 from additional.c:14:
/usr/include/resourcebits.h:102: parse error before `0x7fffffffUL'

I am unsure where the problem is located exactly and how to fix it
correctly - So probably somebody else more knowledged and timely equipped
might fix this in the CVS (probably it is alread fixed ? - My CVS kernel
is 3-5 days old)

Flo
-- 
Florian Lohoff		[email-masked]		      	+49-5241-470566
"Technology is a constant battle between manufacturers producing bigger and
more idiot-proof systems and nature producing bigger and better idiots."